PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_dgetrs | ( | PLASMA_enum | trans,
|  | int | N,
|  | int | NRHS,
|  | double * | A,
|  | int | LDA,
|  | const int * | IPIV,
|  | double * | B,
|  | int | LDB
| ) |  |

PLASMA_dgetrs - Solves a system of linear equations A * X = B, with a general N-by-N matrix A using the tile LU factorization computed by PLASMA_dgetrf.

Parameters

  [in] | trans | Intended to specify the the form of the system of equations: = PlasmaNoTrans: A * X = B (No transpose) = PlasmaTrans: A**T * X = B (Transpose) = PlasmaTrans: A**T * X = B (Conjugate transpose)
  [in] | N | The order of the matrix A. N >= 0.
  [in] | NRHS | The number of right hand sides, i.e., the number of columns of the matrix B. NRHS >= 0.
  [in,out] | A | The tile factors L and U from the factorization, computed by PLASMA_dgetrf. Remark: If out-of-place layout translation is used, the matrix A can be considered as input, however if inplace layout translation is enabled, the content of A will be reordered for computation and restored before exiting the function.
  [in] | LDA | The leading dimension of the array A. LDA >= max(1,N).
  [in] | IPIV | The pivot indices from PLASMA_dgetrf.
  [in,out] | B | On entry, the N-by-NRHS matrix of right hand side matrix B. On exit, the solution matrix X.
  [in] | LDB | The leading dimension of the array B. LDB >= max(1,N).

Returns

Return values

  PLASMA_SUCCESS | successful exit

Returns
  <0 if -i, the i-th argument had an illegal value

See also
  PLASMA_dgetrs_Tile
  PLASMA_dgetrs_Tile_Async
  PLASMA_cgetrs
  PLASMA_dgetrs
  PLASMA_sgetrs
  PLASMA_dgetrf